#!/bin/sh

if [ "$(id -u)" != "0" ]; then
   echo "This script must be run as root" 1>&2
   exit 1
fi

echo "copying the plist to the LaunchDaemons"
cp -vRp ./FanControlDaemon.plist /Library/LaunchDaemons/
chown root:wheel /Library/LaunchDaemons/FanControlDaemon.plist

echo
echo "creating directory /usr/local/libexec for the binary"
mkdir -pv /usr/local/libexec

echo "copying the binary to /usr/local/libexec"
cp -vRp ./FanControlDaemon /usr/local/libexec
chown root:wheel /usr/local/libexec/FanControlDaemon

echo
echo "stopping the daemon if there is already one running"
launchctl unload /Library/LaunchDaemons/FanControlDaemon.plist
sleep 1

echo "starting the daemon so we avoid a restart"
launchctl load /Library/LaunchDaemons/FanControlDaemon.plist
sleep 1

echo
echo "simply doubleclick the prefpane to install it"
